> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mosey.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add multiple regions

> Add multiple regions to the authenticated legal entity.
Providing the employee count will configure the region and generate applicable tasks.
The employee count is expected to consist of all current full time employees.

### Example

    Request
    ```
        "config": {
            "AL": {"employee_count": 1},
            "AK": {"employee_count": 10},
        }
    }
    ```



## OpenAPI

````yaml /openapi_v2.json post /v2/regions
openapi: 3.1.0
info:
  title: Mosey API
  description: If you'd like to use the Mosey API, please contact sales@mosey.com.
  version: V2
  x-logo:
    url: null
servers: []
security: []
paths:
  /v2/regions:
    post:
      summary: Add multiple regions
      description: >-
        Add multiple regions to the authenticated legal entity.

        Providing the employee count will configure the region and generate
        applicable tasks.

        The employee count is expected to consist of all current full time
        employees.


        ### Example

            Request
            ```
                "config": {
                    "AL": {"employee_count": 1},
                    "AK": {"employee_count": 10},
                }
            }
            ```
      operationId: add_multiple_regions_handler_v2_regions_post
      parameters:
        - name: legal_entity_public_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Legal Entity Public Id
        - name: user_or_platform_public_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User Or Platform Public Id
        - name: platform_public_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Platform Public Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlatformBatchRegionConfig'
      responses:
        '200':
          description: >-
            A successful response will contain the dictionary containing
            regions, with employee counts. For a successful response, this will
            match the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformBatchRegionConfig'
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformHttpException'
          description: Unprocessable Entity
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PlatformBatchRegionConfig:
      properties:
        config:
          additionalProperties:
            $ref: '#/components/schemas/PlatformRegionConfig'
          propertyNames:
            $ref: '#/components/schemas/StateCode'
          type: object
          title: Config
          description: >-
            A dictionary with two character state code as key and regional
            configuration as value.
      type: object
      required:
        - config
      title: PlatformBatchRegionConfig
      description: >-
        A dictionary mapping state codes to their respective platform region
        configurations.

        The key for the dictionary is the StateCode which is the 2 character
        state code. To view the entire list of supported state codes, see
        [StateCode enum](/api-reference/v2/add-region#parameter-region).
    PlatformHttpException:
      properties:
        message:
          type: string
          title: Message
        detail:
          type: string
          title: Detail
      type: object
      required:
        - message
        - detail
      title: PlatformHttpException
    PlatformRegionConfig:
      properties:
        employee_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Employee Count
      type: object
      required:
        - employee_count
      title: PlatformRegionConfig
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/token

````